S3DW_TEXTBOX_NEW(3)

NAME
s3dw_textbox_new - create a new textbox in the surface

SYNOPSIS

#include <s3dw.h>

s3dw_textbox *s3dw_textbox_new(const s3dw_surface *surface, const char *text, float posx, float posy, float width, float height);

DESCRIPTION

Creates a new textbox on the surface, with "text" written on it and the upper left corner at (posx,posy) on the surface. Width and height define the size of the textbox including scrollbars which are rendered around the textfield.

See s3dw_textbox for information about callbacks which may be defined.

AUTHOR

Simon Wunderlich
    Author of s3d